Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class PropertyInfo

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.plugins.javascript.PropertyInfo

public class PropertyInfo
extends DataElementSupport

Provides description for property of JavaScript class or host object.

`PropertyInfo` implements `DataElement` interface, so it can be shown in repository tree.

See Also: JScriptContext.defineFunction(IConfigurationElement,Context,ScriptableObject,ru.biosoft.access.DataCollection)

Constructor Summary
`PropertyInfo(String name, DataCollection parent)` Creates info for the specified property.

Method Summary
`String` | `generateHtml()`
`String` | `getDescription()`
`String` | `getType()`
`boolean` | `isReadOnly()`
`void` | `setDescription(String description)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setType(String type)`
`String` | `toString()`
`String` | `toString(boolean isHtml)`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### PropertyInfo

    public PropertyInfo(String name, DataCollection parent)

  Creates info for the specified property.
  Parameters:
    name - - property name
    parent - - info for host object or class to which this property belongs. Generally it is `plugins/Javascript/host objects/object` or `plugins/Javascript/classes/class`.

Method Detail

### generateHtml

    public String generateHtml()

### getDescription

    public String getDescription()

### getType

    public String getType()

### isReadOnly

    public boolean isReadOnly()

### setDescription

    public void setDescription(String description)

### setReadOnly

    public void setReadOnly(boolean readOnly)

### setType

    public void setType(String type)

### toString

    public String toString()

### toString

    public String toString(boolean isHtml)

Association Links

to Class java.lang.String

  Property type

to Class java.lang.String

  The function description

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM